Package org.eclipse.lemminx.extensions.generators

## Class ChildrenProperties

- java.lang.Object
- - org.eclipse.lemminx.extensions.generators.ChildrenProperties

    public class ChildrenProperties
    extends Object

Children properties of an element declaration:

- sequenced if all children have the same order.
- cardinalities for each child.

### Constructor Summary

Constructors
`ChildrenProperties()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `addChildHierarchy​(List<String> tags)`
`Map<String,​Cardinality>` `getCardinalities()` Returns map which stores cardinality per tag.
`boolean` `isSequenced()` Returns true if tags for each child hierarchy have the same order and false otherwise.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ChildrenProperties

    public ChildrenProperties()

### Method Detail

#### addChildHierarchy

    public void addChildHierarchy​(List<String> tags)

#### getCardinalities

    public Map<String,​Cardinality> getCardinalities()

Returns map which stores cardinality per tag.

Returns:
  map which stores cardinality per tag

#### isSequenced

    public boolean isSequenced()

Returns true if tags for each child hierarchy have the same order and false otherwise.

Returns:
  true if tags for each child hierarchy have the same order and false otherwise.